#ifndef MATERIALTECHSET_H
#define MATERIALTECHSET_H

#include "xasset.h"

#include <QVector>

class XMaterialTechnique;

class XMaterialTechSet : public XAsset
{
public:
    explicit XMaterialTechSet();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QString mName;
    int mWorldVertFormat;

    qint32 mRemappedPtr;
    XMaterialTechSet* mRemappedTechniqueSet;

    QVector<qint32> mTechPtrs;
    QVector<XMaterialTechnique*> mTechniques;
};

#endif // MATERIALTECHSET_H
